Bug 597669 - Memory leak in krb5-auth-dialog when ticket renewal is not acted upon for a while
Memory leak in krb5-auth-dialog when ticket renewal is not acted upon for a w...
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-05-29 22:49 EDT by Bojan Smojver
Modified: 2015-01-20 10:52 EST (History)
5 users (show)

See Also:
Fixed In Version: krb5-auth-dialog-0.16-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 13:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 621157 None None None Never

  None (edit)
Description Bojan Smojver 2010-05-29 22:49:37 EDT
Description of problem:
Left my VM running overnight and my kerberos ticket expired. When I connected back in the morning, krb5-auth-dialog was using 188 MB or RES memory. Similarly, on another occasion, it shot up to 30+ MB of RES. On a system where I don't do this (i.e. leave the session alone so that ticket expires), I get around 10 MB of RES memory used and it never changes.

Version-Release number of selected component (if applicable):

How reproducible:
When ticket expires and nobody act on it.

Steps to Reproduce:
1. Leave your session running and do not renew the ticket for a while by providing the password to krb5-auth-dialog.

Actual results:
Memory leak.

Expected results:
Should not leak memory.

Additional info:
Comment 1 Bojan Smojver 2010-05-30 17:36:05 EDT
Left it overnight again. Ticket expired and I now have krb5-auth-dialog using 153 MB of RES memory. Actually, make that 154 - I just allocated another MB.
Comment 2 Bojan Smojver 2010-06-03 07:33:48 EDT
Yep, in just a few minutes it went from 10 MB RES to 36 MB RES on ticket expiry.
Comment 3 Bojan Smojver 2010-06-07 19:27:14 EDT
It happened again, up to 61 MB RES after ticket expired.

The time between ticket expiry and renewal is important. The more time passes, the bigger the memory leak.
Comment 4 Bojan Smojver 2010-06-18 19:10:23 EDT
This has been fixed upstream. Could you please have a look at the bug report there and apply the fix.
Comment 5 Bojan Smojver 2010-07-02 20:23:53 EDT
Can we please get 0.16 in F-13 as well, now that it's been released?
Comment 6 Bojan Smojver 2010-07-06 18:17:37 EDT
Comment 7 Bojan Smojver 2010-07-16 17:10:14 EDT
Tested overnight with an expired ticket and ss far as I can see, leaks have been fixed here: http://koji.fedoraproject.org/koji/buildinfo?buildID=183791

Please push to updates.
Comment 8 Ken Dreyer 2010-09-13 11:08:22 EDT
I've been using the above Koji build of 0.16 for a while. It is working well, and I see no obvious memory leaks. Please push this (or 0.17, released today) to updates.
Comment 9 Ken Dreyer 2010-10-13 22:51:22 EDT
Ping... it's been a month since my last comment. Any word on this?
Comment 10 Helge Deller 2010-10-14 04:30:00 EDT
0.16.2 release (rebuilt on my own for F-11) is working here fine as well. Please push to updates. IMHO it's important to get this fixed.
Comment 11 Bojan Smojver 2010-10-14 18:51:57 EDT
(In reply to comment #10)
> 0.16.2 release (rebuilt on my own for F-11) is working here fine as well.
> Please push to updates. IMHO it's important to get this fixed.

Yes, please push to updates. Without the update, this thing eats memory like there is no tomorrow.
Comment 12 Bug Zapper 2011-06-02 08:50:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2011-06-27 13:03:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 David King 2015-01-20 10:52:13 EST
This was eventually fixed in Fedora 14, with the first release of 0.16.

Note You need to log in before you can comment on or make changes to this bug.